package com.brilliance.isc.common.liaone.service;

import com.brilliance.isc.common.glemod.vo.GlemodVo;
import com.brilliance.isc.common.liaallg.vo.LiaallgVo;
import com.brilliance.isc.common.liaone.vo.AcpliaVo;


public interface LiaoneService {

    String getAvailAcc(AcpliaVo acpliaVO);

    void defaultCbeAcc(AcpliaVo acpliaVo);

    boolean defaultActrec(AcpliaVo acpliaVo);

    void defaultCbeAcc2(AcpliaVo acpliaVO);

    void glesavlia(GlemodVo glemod, LiaallgVo liaallg);

    void cbsstore(LiaallgVo liaallg, Object argObj, String trninr);

    void defaultWrkcbb(AcpliaVo acpliaVo, String objTyp, String objInr);

    void defaultWrkcbe(AcpliaVo acpliaVo);

     String getLiaTermKey(String accTyp,AcpliaVo acpliaVo);

     void defaultCbeXrfCurAmt(AcpliaVo acpliaVo);
}
